PMC(1) | General Commands Manual | PMC(1)

# NAME

pmc — performance-monitoring counter interface for command execution

# SYNOPSIS

pmc | -h

pmc | -C

pmc | -c event command [options ...]

# DESCRIPTION

pmc is a means of using a processor's performance-monitoring counter (PMC) facility to measure various aspects of a program's execution. It is meant to be used in a fashion similar to time(1).

The arguments are as follows:

-h
  Display a list of performance counter events available on the system.
-C
  Cancel any performance counters that are currently running.
-c event
  Count the event specified by event while running the command.

# DIAGNOSTICS

PMC support is not compiled into the kernel
  Performance-monitoring counter support has not been compiled into the kernel. It may be included using the PERFCTRS option. See options(4) for details.
PMC counters are not supported by CPU
  Performance-monitoring counters are not available for the CPU.

# SEE ALSO

time(1), options(4)

# HISTORY

The pmc command first appeared in NetBSD 1.6.

# AUTHORS

The pmc command was written by Frank van der Linden <fvdl@wasabisystems.com>. The kernel support for reading performance counters on the i386 architecture was written by Jason R. Thorpe <thorpej@zembu.com>.

# BUGS

The pmc command currently only supports performance-monitoring counters on the i386 architecture.

October 24, 2000 | NetBSD 6.0